CC  SECNDS - Calls GETTIM function to find current time.
CC
CC  Return:  Number of seconds since midnight.
CC

      REAL*8 FUNCTION  secnds()

      INTEGER*4 hour, minute, second, hundredth

      CALL GETTIM( hour, minute, second, hundredth )
      secnds = ((DBLE( hour ) * 3600.0) + (DBLE( minute) * 60.0) +
     +           DBLE( second) + (DBLE( hundredth ) / 100.0))
      END
c
c
c
      SUBROUTINE GetSec(DT)
C      祭 ६  ᥪ  FORTRAN WATCOM V9.5
      IMPLICIT REAL*8 (D)
C
      DT = secnds()
      RETURN
      END
c
c
c
      SUBROUTINE STIMER(DT)
C       
      IMPLICIT REAL*8 (D)
      COMMON /S_TIME/ DITIM,DITIM0,DITIM1,ITIME0,ITIME1
C
      CALL GetSec(DITIM0)
      DT = DITIM0
      RETURN
      END
C
C
C
      SUBROUTINE FTIMER(DT)
C       
      IMPLICIT REAL*8 (D)
      COMMON /S_TIME/ DITIM,DITIM0,DITIM1,ITIME0,ITIME1
C
      CALL GetSec(DITIM1)
      DITIM = DITIM1 - DITIM0
      DT = DITIM
      RETURN
      END
C
C
C
      SUBROUTINE PTIMER(IO)
      IMPLICIT REAL*8 (D)
      COMMON /S_TIME/ DITIM,DITIM0,DITIM1,ITIME0,ITIME1
C
      IF (IO .LT. 1 .OR. IO .GT. 99) IO = 6
      WRITE (IO,101) DITIM
      RETURN
  101 FORMAT (' TIMER = ',F15.2,' SEC')
      END
